void checkSwitches() {
  //check averaging switch and restart button
  //Serial.print("checkSwitches: ");
  buttonState = digitalRead(buttonPin);
  if (buttonState == 0 ) {
    Serial.println("*** count reset ***");
    countUp = 0;
    countDown = 0;
    lineDown = 0;
    pingAvg = 0;
    pingLast = 40000; //usec: values for calculating quality
  }

  switchState = digitalRead(switchPin);
  if (switchState != lastSwitchState) {
    Serial.print("switchState is: ");
    Serial.println(switchState);
    Serial.print("    lastSwitchState is: ");
    Serial.println(lastSwitchState);
    lastSwitchState = switchState;
    if (switchState == 1) {
      Serial.println("*** long average ***");
      strcpy(sTitle, sTitleL);
      pingFilter = pingFilterL; //if its a 1 - long averaging
      qualFilter = qualFilterL;
    }
    else {
      Serial.println("*** short average ***");
      strcpy(sTitle, sTitleS);
      pingFilter = pingFilterS;
      qualFilter = qualFilterS;
    }
  }
  //factors for geometric averaging
  pingFilterM1 = pingFilter - 1;
  qualFilterM1 = qualFilter - 1;
}
