void connectWiFi() {
  WiFi.begin(ssid, password);
  delay(200); //allow time to connect
  // Wait until connection completed
  Serial.print("Connecting to AP...");
  while (WiFi.status() != WL_CONNECTED)  {
    delay(200);
    Serial.print(".");
  }
  Serial.println("Ok\n");
  Serial.print("IP number is ");
  Serial.print(WiFi.localIP());
  Serial.print("  MAC address is ");
  Serial.println(WiFi.macAddress());
}

void printLocalTime()
{
  time_t rawtime;
  struct tm * timeinfo;
  time (&rawtime);
  timeinfo = localtime (&rawtime);
  Serial.println(asctime(timeinfo));
  /*
    Convert tm structure to string
    Interprets the contents of the tm structure pointed by timeptr as a calendar time and
    converts it to a C-string containing a human-readable version of the corresponding date and time.
    The returned string has the following format:
    Www Mmm dd hh:mm:ss yyyy
  */
}
